<?xml version="1.0" encoding="utf-8"?>
<permissions>
    <privapp-permissions package="com.android.carrierconfig">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.cellbroadcastreceiver">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.RECEIVE_EMERGENCY_BROADCAST"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.documentsui">
        <permission name="android.permission.CHANGE_OVERLAY_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOG_COMPAT_CHANGE"/>
        <permission name="android.permission.MODIFY_QUIET_MODE"/>
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG"/>
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.emergency">
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.incallui">
        <permission name="android.permission.BIND_INCALL_SERVICE"/>
        <permission name="android.permission.BROADCAST_CLOSE_SYSTEM_DIALOGS"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_WALLPAPER_INTERNAL"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="com.huawei.permission.EXT_DISPLAY_UI_PERMISSION"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.OBSERVE_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.VT_CALL_HOLD"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.mms">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.huawei.android.permission.GET_CHR_DATA"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SET_ANTI_ATTACK_CAP"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
        <permission name="com.huawei.permission.USE_LEGACY_INTERFACE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.permission.RECEIVE_SMS_INTERCEPTION"/>
        <permission name="huawei.permission.SET_SMSC_ADDRESS"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.packageinstaller">
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.CONTROL_VPN"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.AD_APKDL_STRATEGY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.WRITE_HW_PERMISSION"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.permissioncontroller">
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.OBSERVE_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.SET_ACCESS_PRIVACY"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.phone">
        <permission name="android.permission.COMM_FORCE"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.SET_TIME"/>
        <permission name="com.huawei.android.permission.GET_CHR_DATA"/>
        <permission name="com.huawei.permission.DISTRIBUTED_NETWORK_MODIFY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.READ_SKYTONE_TA"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.permission.SET_SMSC_ADDRESS"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.providers.calendar">
        <permission name="com.huawei.health.permission.RECONNECT_FINISH"/>
        <permission name="com.huawei.health.permission.START_APP"/>
        <permission name="com.huawei.hwddmp.permission.APP_START"/>
        <permission name="com.huawei.permission.MANAGE_USE_SECURITY"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.providers.contacts">
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.media">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.providers.telephony">
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="huawei.permission.RECEIVE_CLOUD_OTA_UPDATA"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.server.telecom">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.settings">
        <permission name="android.permission.ACCESS_CHECKIN_PROPERTIES"/>
        <permission name="android.permission.ACCESS_NOTIFICATIONS"/>
        <permission name="android.permission.BACKUP"/>
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.CHANGE_APP_IDLE_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.CONTROL_DISPLAY_COLOR_TRANSFORMS"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_DEBUGGING"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MANAGE_USER_OEM_UNLOCK_STATE"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.MOVE_PACKAGE"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <permission name="android.permission.USER_ACTIVITY"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.android.server.wifi.permission.HILINK_STATE_CHANGED"/>
        <permission name="com.huawei.hwSdCryptd.permission.RECV_HWSDCRYPTD_RESULT"/>
        <permission name="com.huawei.locksettings.permission.ACCESS_HWKEYGUARD_SECURE_STORAGE"/>
        <permission name="com.huawei.permission.HW_SET_APPLICATION_ASPECT_RATIO"/>
        <permission name="com.huawei.permission.MANAGE_FACERECOGNITION"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.READ_HW_PERMISSION"/>
        <permission name="com.huawei.permission.SLE_PRIVILEGED"/>
        <permission name="com.huawei.permission.WALLET_FACTORY_ACCESS"/>
        <permission name="com.huawei.permission.coauth.RESOURCE_POOL_CONNECT"/>
        <permission name="com.huawei.privacyspace.permission.PASSWORD_RESET"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.storagemanager">
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.systemui">
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.BIND_KEYGUARD_APPWIDGET"/>
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST"/>
        <permission name="android.permission.CHANGE_OVERLAY_PACKAGES"/>
        <permission name="android.permission.CONTROL_DISPLAY_COLOR_TRANSFORMS"/>
        <permission name="android.permission.CONTROL_KEYGUARD_SECURE_NOTIFICATIONS"/>
        <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS"/>
        <permission name="android.permission.CONTROL_VPN"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_DEBUGGING"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.RECEIVE_MEDIA_RESOURCE_USAGE"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.WATCH_APPOPS"/>
        <permission name="android.permission.WRITE_DREAM_STATE"/>
        <permission name="android.permission.WRITE_EMBEDDED_SUBSCRIPTIONS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.gameassistant.permission.READ_GAME_LIST"/>
        <permission name="com.huawei.hwSdCryptd.permission.RECV_HWSDCRYPTD_RESULT"/>
        <permission name="com.huawei.hwsdlock.permission.ACCESS_HWSDCARD_SECURE"/>
        <permission name="com.huawei.hwsdlock.permission.RECV_HWSDLOCK_STATE"/>
        <permission name="com.huawei.locksettings.permission.ACCESS_HWKEYGUARD_SECURE_STORAGE"/>
        <permission name="com.huawei.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.CONTENT_SENSOR_PERMISSION"/>
        <permission name="com.huawei.permission.DEVICE_THP"/>
        <permission name="com.huawei.permission.EXT_DISPLAY_UI_PERMISSION"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.HW_SET_APPLICATION_ASPECT_RATIO"/>
        <permission name="com.huawei.permission.MANAGE_FACERECOGNITION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.MANAGE_TRUSTSPACE"/>
        <permission name="com.huawei.permission.MANAGE_VOICERECOGNITION"/>
        <permission name="com.huawei.permission.OBSERVE_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.PC_MANAGER_API"/>
        <permission name="com.huawei.permission.READ_HW_PERMISSION"/>
        <permission name="com.huawei.permission.SET_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
        <permission name="com.huawei.permission.SLE_PRIVILEGED"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.WALLET_FACTORY_ACCESS"/>
        <permission name="com.huawei.permission.WRITE_HW_PERMISSION"/>
        <permission name="com.huawei.permission.pc.BackgroundProjectionModeLayout"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.permission.HIRES_ICON_CHANGE_ACTION"/>
        <permission name="huawei.permission.RECEIVE_WIFI_PRO_STATE"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="com.android.vpndialogs">
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.HwMultiScreenShot">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.android.FloatTasks">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_DREAM_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.HW_INJECT_EVENTS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.android.hsf">
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.android.pushagent">
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.android.tips">
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.ohos.guide.permission.START_ABILITY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.android.totemweather">
        <permission name="android.permission.READ_WALLPAPER_INTERNAL"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="com.huawei.hwddmp.permission.APP_START"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.appmarket">
        <permission name="android.permission.ALLOCATE_AGGRESSIVE"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_RUNTIME_PROFILES"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.android.permission.GET_CHR_DATA"/>
        <permission name="com.huawei.gameassistant.permission.WIRTE_GAME_LIST"/>
        <permission name="com.huawei.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.huawei.permission.ACCESS_SYSTEM_WHITE_LIST"/>
        <permission name="com.huawei.permission.CONFIG_BRIGHTNESS"/>
        <permission name="com.huawei.permission.INSTALL_APP_DISABLE_VERIFY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.MANAGE_TRUSTSPACE"/>
        <permission name="com.huawei.permission.SECURITY_DIAGNOSE"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
        <permission name="com.huawei.permission.SKIP_TRIGGER_FREEFORM"/>
        <permission name="com.huawei.permission.WRITE_HW_PERMISSION"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.INSTALL_BUNDLE"/>
        <permission name="ohos.permission.LISTEN_BUNDLE_CHANGE"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ca">
        <permission name="android.permission.LOCATION_HARDWARE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.calculator">
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.calendar">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.PC_MANAGER_API"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.compass">
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.contacts">
        <permission name="android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="com.huawei.permission.sec.MDM_PHONE_MANAGER"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.LISTEN_BUNDLE_CHANGE"/>
        <permission name="ohos.permission.PLACE_CALL"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.contacts.sync">
        <permission name="com.huawei.health.permission.RECONNECT_FINISH"/>
        <permission name="com.huawei.hwddmp.permission.APP_START"/>
        <permission name="com.huawei.permission.MANAGE_USE_SECURITY"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.contactscamcard">
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.controlcenter">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="com.huawei.permission.INVOKE_VIRTUAL_AUDIO"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.PC_MANAGER_API"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.deskclock">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.SHUTDOWN"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.fingerprint.permission.FP_NAVIGATION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.dsdscardmanager">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.email">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="com.huawei.permission.ACCESS_HW_ASSETSTORE_SERVICE"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SMARTCARE"/>
        <permission name="com.huawei.permission.sec.SDK_LAUNCHER"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.harmonyos.foundation">
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.SET_PROCESS_LIMIT"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="ohos.permission.CONNECT_CALL_ABILITY"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hiaction">
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hicar">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.CONTENT_SENSOR_PERMISSION"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.HICAR_SET_WIFI_MODE"/>
        <permission name="com.huawei.permission.HW_INJECT_EVENTS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.OBSERVE_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.PC_MANAGER_API"/>
        <permission name="com.huawei.permission.SET_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.himovie">
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.huawei.permission.DOLBYCONTROL"/>
        <permission name="com.huawei.permission.SECURITY_DIAGNOSE"/>
        <permission name="com.huawei.permission.SMARTCARE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.himovie.local">
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.huawei.permission.DOLBYCONTROL"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hms.dupdateengine">
        <permission name="android.permission.ACCESS_CACHE_FILESYSTEM"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.RECOVERY"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hwddmp">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hwdiagnosis">
        <permission name="android.permission.ACCESS_NOTIFICATIONS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.android.permission.GET_CHR_DATA"/>
        <permission name="com.huawei.gameassistant.permission.READ_GAME_LIST"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SECURITY_DIAGNOSE"/>
        <permission name="com.huawei.permission.SLE_PRIVILEGED"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hwpreview">
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.hwstartupguide">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.SHUTDOWN"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_TRUSTSPACE"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.intelligent">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.GLOBAL_SEARCH"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.pengine.READ_PERMISSION"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.INSTALL_BUNDLE"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.magazine">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.mediacontroller">
        <permission name="android.permission.BIND_INCALL_SERVICE"/>
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.mirror">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.motionservice">
        <permission name="android.permission.EASY_WAKE_UP"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.EXT_DISPLAY_UI_PERMISSION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.msdp">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.multimedia.audioengine">
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.music">
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.permission.HIRES_ICON_CHANGE_ACTION"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.nb.service">
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.notepad">
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.LOCATION_HARDWARE"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.numberidentity">
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ohos.collaborationcenter">
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="com.huawei.android.permission.FILTER_BROADCAST"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ohos.famanager">
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.PC_MANAGER_API"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.GET_OTHER_USERS_BUNDLE_INFO"/>
        <permission name="ohos.permission.INSTALL_BUNDLE"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ohos.hiwindow">
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ohos.mms">
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ohos.search">
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ohos.soundrecorder">
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.ohos.suggestion">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.pengine.READ_PERMISSION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.INSTALL_BUNDLE"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.pcassistant">
        <permission name="android.permission.ACCESS_MTP"/>
        <permission name="android.permission.BIND_INCALL_SERVICE"/>
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.LOCATION_HARDWARE"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_WIFI_CREDENTIAL"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.gameassistant.permission.WIRTE_GAME_LIST"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.ASSOCIATE_ASSISTANT_SET_WIFI_MODE"/>
        <permission name="com.huawei.permission.AUDIO_RECORD_STATE_CHANGED_ACTION"/>
        <permission name="com.huawei.permission.INVOKE_VIRTUAL_AUDIO"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.PC_MANAGER_API"/>
        <permission name="com.huawei.permission.SET_PCASSISTANT_RESULT"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.USE_TRUSTCIRCLE_MANAGER"/>
        <permission name="com.huawei.permission.hwmultidisplay.DEVICE_MULTI_DISPLAY"/>
        <permission name="com.huawei.permission.hwmultidisplay.RECEIVE_REMINDER_VIEW_STATE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.android.permission.WIFI_DISABLE_P2P_GC_DHCP"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.phoneservice">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.ohos.guide.permission.START_ABILITY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.recsys">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.SET_PROCESS_LIMIT"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.pengine.READ_PERMISSION"/>
        <permission name="com.huawei.permission.APP_SWITCH"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.scanner">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.screenrecorder">
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.CAPTURE_VOICE_COMMUNICATION_OUTPUT"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.search">
        <permission name="android.permission.ACCESS_MTP"/>
        <permission name="android.permission.GLOBAL_SEARCH"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_WALLPAPER_INTERNAL"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SET_WINDOW_MODE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.INSTALL_BUNDLE"/>
        <permission name="ohos.permission.REQUIRE_FORM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.searchservice">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.security.hsdr">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.security.privacycenter">
        <permission name="android.permission.BROADCAST_CLOSE_SYSTEM_DIALOGS"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.MANAGE_TRUSTSPACE"/>
        <permission name="com.huawei.permission.MULTI_AUDIO_RECORD"/>
        <permission name="com.huawei.permission.OBSERVE_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.READ_HW_PERMISSION"/>
        <permission name="com.huawei.permission.SET_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.WRITE_HW_PERMISSION"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.securityserver">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_SOUND_TRIGGER"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WATCH_APPOPS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACCESS_HW_ASSETSTORE_SERVICE"/>
        <permission name="com.huawei.permission.HWSYSTEMMANAGER_PLUGIN"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.MANAGE_TRUSTSPACE"/>
        <permission name="com.huawei.permission.MONITOR_CONTROLLED_EVENT"/>
        <permission name="com.huawei.permission.OBSERVE_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.READ_HW_PERMISSION"/>
        <permission name="com.huawei.permission.SECURITY_DIAGNOSE"/>
        <permission name="com.huawei.permission.USE_TRUSTCIRCLE_MANAGER"/>
        <permission name="com.huawei.permission.WRITE_HW_PERMISSION"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="com.huawei.permission.trustedthingsauth.USE_AUTH"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.permission.RECEIVE_CLOUD_OTA_UPDATA"/>
        <permission name="ohos.permission.GET_BUNDLE_INFO_PRIVILEGED"/>
        <permission name="ohos.permission.GET_OTHER_USERS_BUNDLE_INFO"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.smarthome">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACCESS_AP_INFORMATION"/>
        <permission name="com.huawei.permission.SLE_PRIVILEGED"/>
        <permission name="com.huawei.permission.USE_TRUSTCIRCLE_MANAGER"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.INSTALL_BUNDLE"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.suggestion">
        <permission name="android.permission.STOP_APP_SWITCHES"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.systemmanager">
        <permission name="android.permission.ACCESS_MTP"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.DELETE_CACHE_FILES"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.batteryservice.permission.WIRELESS_TX_CHARGE_ERROR"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.permission.COTA_APPS_NO_REBOOT"/>
        <permission name="com.huawei.permission.MANAGE_SECURITYPROFILE"/>
        <permission name="com.huawei.permission.MANAGE_USE_SECURITY"/>
        <permission name="com.huawei.permission.OBSERVE_ACCESS_PRIVACY"/>
        <permission name="com.huawei.permission.READ_HW_PERMISSION"/>
        <permission name="com.huawei.permission.SECURITY_DIAGNOSE"/>
        <permission name="com.huawei.permission.WRITE_HW_PERMISSION"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="com.huawei.permission.sec.MDM_DEVICE_MANAGER"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.permission.RECEIVE_CLOUD_OTA_UPDATA"/>
        <permission name="huawei.permission.RECEIVE_SMS_INTERCEPTION"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.systemserver">
        <permission name="android.permission.ALLOCATE_AGGRESSIVE"/>
        <permission name="android.permission.COMM_FORCE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCATION_HARDWARE"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.hiai.awareness.permission.NOTIFY_RESTART_SERVICE"/>
        <permission name="com.huawei.permission.ACCESS_AP_INFORMATION"/>
        <permission name="com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION"/>
        <permission name="com.huawei.permission.DISTRIBUTED_NETWORK_MODIFY"/>
        <permission name="com.huawei.permission.HW_SCREEN_OFF_FOR_POSITIVE"/>
        <permission name="com.huawei.permission.SAVE_DATA"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.sar.permission.HW_CAMERA_RSE"/>
        <permission name="com.huawei.usbservice.permission.UEM_STATE"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="huawei.permission.RECEIVE_WIFI_PRO_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.tips">
        <permission name="android.permission.CHANGE_APP_IDLE_STATE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
        <permission name="ohos.permission.LISTEN_BUNDLE_CHANGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.trustedthingsauth">
        <permission name="com.huawei.permission.trustedthingsauth.USE_AUTH"/>
        <permission name="ohos.permission.USE_USER_IDM"/>
    </privapp-permissions>

    <privapp-permissions package="com.qualcomm.location">
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_OEM_UNLOCK_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
    </privapp-permissions>

    <!-- Additional permissions-->
    <privapp-permissions package="org.codeaurora.ims">
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.android.permission.GET_CHR_DATA"/>
    </privapp-permissions>

</permissions>
